      subroutine write_progress(iud,ctxt,irpt,iact,acpt)
C Bernd Berg Dec 16 2000. Open/close write to monitor progress.
      include '../../Libs/Fortran/implicit.sta'
      character*(*) ctxt
      open(iud,file="progress.d",form="formatted",status="unknown")
      rewind iud
      write(iud,'(A33,2I12,G15.5)') ctxt,irpt,iact,acpt
      close(iud)
      return
      end 
